All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class EditTag

    com.sas.taglib.servlet.tbeans.tableview.EditTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class EditTag

EditTag is the tag handler class for the sas:Edit custom tag . EditTag is invoked by the JSP page to evaluate the sas:Edit custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, HttpEditController, to execute the methods.

If you need to extend or modify the functionality of the sas:Edit custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Edit custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `HttpEditController`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`EditTag()`

Method Summary
`protected void` | `applyAttributes()` Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.html.TableView object
`int` | `doEndTag()` This method processes the end tag for this instance.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getInsertMode()` Returns the insertMode property for editing.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isEditColumnVisible()` Returns the editColumnVisible property for editing.
`boolean` | `isEditRowVisible()` Returns the editRowVisible property for editing.
`boolean` | `isEnabled()` Returns the enabled property for editing.
`boolean` | `isSingleRowEditing()` Returns the singleRowEditing property for editing.
`void` | `setEditColumnVisible(boolean visible)` Used to set the editColumnVisible property for editing.
`void` | `setEditRowVisible(boolean visible)` Used to set the editRowVisible property for editing.
`void` | `setEnabled(boolean enabled)` Used to set the enabled property for editing.
`void` | `setInsertMode(java.lang.String mode)` Sets the insertMode property for editing.
`void` | `setSingleRowEditing(boolean enabled)` Used to set the enabled property for editing.

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### EditTag

    public EditTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setEnabled

    public void setEnabled(boolean enabled)

  Used to set the enabled property for editing. If true, then the TableView will allow editing.

  Parameters:
    `enabled` - If true, then the TableView will allow editing.

### isEnabled

    public boolean isEnabled()

  Returns the enabled property for editing.

  Returns:
    true, if the TableView should allow editing

### setSingleRowEditing

    public void setSingleRowEditing(boolean enabled)

  Used to set the enabled property for editing.

  Parameters:
    `enabled` - If true, then the TableView will allow editing one row at a time. If false, then the TableView will allow all rows to be editted at once.

### isSingleRowEditing

    public boolean isSingleRowEditing()

  Returns the singleRowEditing property for editing.

  Returns:
    true, if the TableView should allow editing only one row at a time.

### setInsertMode

    public void setInsertMode(java.lang.String mode)

  Sets the insertMode property for editing.

  Parameters:
    `mode` - Valid values are INSERT and EXTEND. If mode is INSERT, then new row will be inserted before the given row in the table. If mode is EXTEND, then the new row will be inserted at the default location (usually the end) of the table.

### getInsertMode

    public java.lang.String getInsertMode()

  Returns the insertMode property for editing.

  Returns:
    the insertMode property for editing

### setEditRowVisible

    public void setEditRowVisible(boolean visible)

  Used to set the editRowVisible property for editing. If true, then the TableView's editRow should be rendered.

  Parameters:
    `visible` - If true, then the TableView's editRow should be rendered.

### isEditRowVisible

    public boolean isEditRowVisible()

  Returns the editRowVisible property for editing.

  Returns:
    true, if the TableView's editRow should be rendered

### setEditColumnVisible

    public void setEditColumnVisible(boolean visible)

  Used to set the editColumnVisible property for editing. If true, then the TableView's editColumn should be rendered.

  Parameters:
    `visible` - If true, then the TableView's editColumn should be rendered.

### isEditColumnVisible

    public boolean isEditColumnVisible()

  Returns the editColumnVisible property for editing.

  Returns:
    true, if the TableView's editColumn should be rendered

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.html.TableView object

  Overrides:
    `applyAttributes` in class `BaseBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  This method processes the end tag for this instance. The doEndTag() method will render the underlying tbean unless it has a parent.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.